Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### void

Examples

    void setup() {
      size(200, 200);
    }

    void draw() {
      line(10, 100, 190, 100);
    }

Description | Keyword used indicate a function returns no value. Each function must either return a value of a specific datatype or use the keyword void to specify it returns nothing.

Syntax

    void function {
      statements
    }

Parameters

function | any function that is being defined or implemented
statements | any valid statements

Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT